Update a specific address.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Write Addresses under the Addresses category when creating or editing an API token. Learn More.
curl --request PATCH \
--url https://api.samsara.com/addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"addressTypes": [
"yard"
],
"contactIds": [
"22408"
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"settings": {
"showAddresses": false
}
},
"latitude": 37.765363,
"longitude": -122.4029238,
"name": "Samsara HQ",
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tagIds": [
"3914"
]
}
'{
"data": {
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"circle": {
"radiusMeters": 25,
"latitude": 37.765363,
"longitude": -122.4029238
},
"polygon": {
"vertices": [
{
"latitude": 37.765363,
"longitude": -122.403098
},
{
"latitude": 38.765363,
"longitude": -122.403098
},
{
"latitude": 37.765363,
"longitude": -123.403098
}
]
},
"settings": {
"showAddresses": false
}
},
"id": "22408",
"name": "Samsara HQ",
"addressTypes": [
"yard"
],
"contacts": [
{
"firstName": "Jane",
"id": "22408",
"lastName": "Jones"
}
],
"createdAtTime": "2019-05-18T20:27:35Z",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"latitude": 37.765363,
"longitude": -122.4029238,
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the Address. This can either be the Samsara-provided ID or an external ID. External IDs are customer-specified key-value pairs created in the POST or PATCH requests of this resource. To specify an external ID as part of a path parameter, use the following format: key:value. For example, crmId:abc123
The address fields to update.
A request body to update an Address.
Reporting location type associated with the address (used for ELD reporting purposes). Valid values: yard, shortHaul, workforceSite, riskZone, industrialSite, alertsOnly, agricultureSource, avoidanceZone, knownGPSJammingZone, authorizedZone, unauthorizedZone, vendor, inventory.
yard, shortHaul, workforceSite, riskZone, industrialSite, alertsOnly, agricultureSource, avoidanceZone, knownGPSJammingZone, authorizedZone, unauthorizedZone, vendor, inventory An array of Contact IDs associated with this Address.
The external IDs for the given object.
Show child attributes
{
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}The full street address for this address/geofence, as it might be recognized by Google Maps.
1024"350 Rhode Island St, San Francisco, CA"
The geofence that defines this address and its bounds. This can either be a circle or a polygon, but not both.
Show child attributes
Latitude of the address. Will be geocoded from formattedAddress if not provided.
37.765363
Longitude of the address. Will be geocoded from formattedAddress if not provided.
-122.4029238
Name of the address.
255"Samsara HQ"
Notes about the address.
280"Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side."
An array of IDs of tags to associate with this address.
Updated address object with ID.
An Address response body.
An Address object.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"addressTypes": [
"yard"
],
"contactIds": [
"22408"
],
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"settings": {
"showAddresses": false
}
},
"latitude": 37.765363,
"longitude": -122.4029238,
"name": "Samsara HQ",
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tagIds": [
"3914"
]
}
'{
"data": {
"formattedAddress": "350 Rhode Island St, San Francisco, CA",
"geofence": {
"circle": {
"radiusMeters": 25,
"latitude": 37.765363,
"longitude": -122.4029238
},
"polygon": {
"vertices": [
{
"latitude": 37.765363,
"longitude": -122.403098
},
{
"latitude": 38.765363,
"longitude": -122.403098
},
{
"latitude": 37.765363,
"longitude": -123.403098
}
]
},
"settings": {
"showAddresses": false
}
},
"id": "22408",
"name": "Samsara HQ",
"addressTypes": [
"yard"
],
"contacts": [
{
"firstName": "Jane",
"id": "22408",
"lastName": "Jones"
}
],
"createdAtTime": "2019-05-18T20:27:35Z",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"latitude": 37.765363,
"longitude": -122.4029238,
"notes": "Hours of operation: 8am - 6pm; Truck entrance on the Rhode Island street side.",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
]
}
}